PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Details API

POST/open-api/v1/ad-monitor-task/monitor-task-details/{task_id}
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/monitor-task-details/dc7ed8902c66fc5e1dfbe4ccad5c345b' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}'

Request parameters 1 fields

Pass each parameter in its specified location.

Parameter Type Description
task_id
path · required
string | Monitor Task ID

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "task_id": "902175d02614903e4944dfdfe85bbb4d",
        "updated_at": 1761229088,
        "monitor_task_type": 1,
        "facebook_page_id": "100726615757315",
        "facebook_page_url": "https://www.facebook.com/ads/library/?active_status=active&ad_type=all&country=ALL&is_targeted_country=false&media_type=all&search_type=page&view_all_page_id=100726615757315",
        "facebook_shop_url": null,
        "facebook_shop_search_url": null,
        "name": "Coloringbook",
        "avatar_url": "https://scontent-nrt1-2.xx.fbcdn.net/v/t39.30808-1/250115514_100726659090644_7405549375147557340_n.png?stp=dst-png_s100x100&_nc_cat=101&ccb=1-7&_nc_sid=418b77&_nc_ohc=oR82bdd8LsEQ7kNvwFR9css&_nc_oc=AdnOlwugd-a_Yt-WSY-rJGMEasY4EGYZ8Exjb64rrr672pxh0Voz_F8o46bTAjEKo0M&_nc_zt=24&_nc_ht=scontent-nrt1-2.xx&_nc_gid=4fHEZoJRgLMnM34BI30F8w&oh=00_AfcOORyQ7zhijv2OZ5YnwEslo6BS2i0Nb6SCZp7TjzhhcA&oe=690014F0",
        "category": "Brand",
        "country": null,
        "ad_total_count": 0,
        "ad_total_active_count": 0,
        "ad_today_count": 0,
        "ad_yesterday_count": 0,
        "ad_seven_day_count": 0,
        "landing_page_total_count": 0,
        "landing_page_today_count": 0,
        "landing_page_yesterday_count": 0,
        "landing_page_seven_day_count": 0,
        "product_total_count": 0,
        "product_today_count": 0,
        "product_yesterday_count": 0,
        "product_seven_day_count": 0,
        "videos_ad_total_count": 0,
        "images_ad_total_count": 0,
        "cards_ad_total_count": 0,
        "latest_ad_data": null,
        "monitored_days": 1,
        "started_at": 1761229088
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» task_id string true none Monitor Task ID none
»» monitor_task_type integer true none Monitor Task Type Options: 1-Facebook Advertiser, 2-Store/Website.
»» facebook_page_id string¦null true none Facebook Advertiser ID none
»» facebook_page_url string true none Facebook Advertiser URL none
»» facebook_shop_url string¦null true none Store/Website URL none
»» facebook_shop_search_url string¦null true none Facebook Shop Search URL none
»» name string¦null true none Monitor Target Name none
»» avatar_url string¦null true none Monitor Target Avatar none
»» category string¦null true none Facebook Advertiser Category none
»» country string¦null true none Country none
»» ad_total_count integer true none Total Ad Count none
»» ad_total_active_count integer true none Total Active Ads none
»» ad_today_count integer true none New Ads Today none
»» ad_yesterday_count integer true none New Ads Yesterday none
»» landing_page_total_count integer true none Total Landing Pages none
»» landing_page_today_count integer true none New Landing Pages Today none
»» landing_page_yesterday_count integer true none New Landing Pages Yesterday none
»» product_total_count integer true none Total Products none
»» product_today_count integer true none New Products Today none
»» product_yesterday_count integer true none New Products Yesterday none
»» latest_ad_data [object]¦null true none Latest Ad Data none
»»» id string true none Ad ID none
»»» cover_url string true none Cover Image none
»»» ad_started_at integer true none Published Timestamp none
»» monitored_days integer true none Days Monitored none
»» started_at integer true none Monitoring Start Time none
»» updated_at integer true none Updated Time none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths